org.sunflow.core.modifiers

## Class BumpMappingModifier

- java.lang.Object
- - org.sunflow.core.modifiers.BumpMappingModifier

All Implemented Interfaces:
  Modifier, RenderObject

    public class BumpMappingModifier
    extends java.lang.Object
    implements Modifier

### Constructor Summary

Constructors
Constructor and Description
`BumpMappingModifier()`

### Method Summary

Methods
`void` `modify(ShadingState state)` Modify the shading state for the point to be shaded.
`boolean` `update(ParameterList pl, SunflowAPI api)` Update this object given a list of parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BumpMappingModifier

    public BumpMappingModifier()

### Method Detail

#### update

    public boolean update(ParameterList pl,
                 SunflowAPI api)

Description copied from interface: `RenderObject`
Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.

Specified by:
  `update` in interface `RenderObject`
Parameters:
  `pl` - list of parameters to read from
  `api` - reference to the current scene
Returns:
  `true` if the update is succesfull, `false` otherwise

#### modify

    public void modify(ShadingState state)

Description copied from interface: `Modifier`
Modify the shading state for the point to be shaded.

Specified by:
  `modify` in interface `Modifier`
Parameters:
  `state` - shading state to modify